Bug 139712 - calling glXGetConfig with i915 crashes (e.g. OpenOffice.org)
calling glXGetConfig with i915 crashes (e.g. OpenOffice.org)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
: 140316 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 13:07 EST by Howard Selover III
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 06:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example program to run (5.54 KB, application/octet-stream)
2004-12-17 10:33 EST, Caolan McNamara
no flags Details
source (601 bytes, text/plain)
2004-12-17 10:33 EST, Caolan McNamara
no flags Details

  None (edit)
Description Howard Selover III 2004-11-17 13:07:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
OpenOffice programs do not start.  If start is attempted from the
command line, the following error is displayed.

[selover@pc-selover-l ~]$ oowriter
*** glibc detected *** double free or corruption: 0xf5d7c848 ***
Aborted

Setting MALLOC_CHECK_ environmental variable to 0 works around the
problem allowing the application to start.

Version-Release number of selected component (if applicable):
openoffice.org-libs-1.1.2-11.5.fc3
openoffice.org-i18n-1.1.2-11.5.fc3
openoffice.org-1.1.2-11.5.fc3

How reproducible:
Always

Steps to Reproduce:
1. Type oowriter from command line.
2.
3.
    

Actual Results:  *** glibc detected *** double free or corruption:
0xf5d7c848 ***
Aborted

Expected Results:  Expected results: Application window to appear.

Additional info:

If the MALLOC_CHECK_ environmental variable is set to 0, the
application starts and the following is displayed.

[selover@pc-selover-l ~]$ oowriter
libGL error: open DRM failed (Operation not permitted)
libGL error: reverting to (slow) indirect rendering

The following packages are on the system.
openoffice.org-libs-1.1.2-11.5.fc3
openoffice.org-i18n-1.1.2-11.5.fc3
openoffice.org-1.1.2-11.5.fc3
xorg-x11-Mesa-libGLU-6.8.1-12
xorg-x11-Mesa-libGL-6.8.1-12
Comment 1 Caolan McNamara 2004-12-09 08:50:24 EST
Same as #140316 ?
Comment 2 Howard Selover III 2004-12-09 15:57:18 EST
Enclosed is the backtrace.  It does look very similar to #140316.

#0  0xf6fe97a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0xf5c7f955 in raise () from /lib/tls/libc.so.6
#2  0xf5c81319 in abort () from /lib/tls/libc.so.6
#3  0xf5cb8a1b in malloc_printerr () from /lib/tls/libc.so.6
#4  0xf5cb94ba in free () from /lib/tls/libc.so.6
#5  0xf433c6b7 in __driUtilCreateScreen ()
   from /usr/X11R6/lib/modules/dri/i915_dri.so
#6  0xf4354b05 in __driCreateScreen ()
   from /usr/X11R6/lib/modules/dri/i915_dri.so
#7  0xf43f36a2 in __glXInitialize () from /usr/X11R6/lib/libGL.so
#8  0xf43ef3db in __indirect_glCompressedTexSubImage3D ()
   from /usr/X11R6/lib/libGL.so
#9  0xf43f0453 in glXGetConfig () from /usr/X11R6/lib/libGL.so
#10 0xf463ae19 in X11SalOpenGL::MakeVisualWeights ()
   from /usr/lib/ooo-1.1/program/libvclplug_gen645li.so
#11 0xf465870f in SalDisplay::BestVisual ()
   from /usr/lib/ooo-1.1/program/libvclplug_gen645li.so
#12 0xf4a4e076 in GtkXLib::Init ()
   from /usr/lib/ooo-1.1/program/libvclplug_gtk645li.so
#13 0xf4a4e8e7 in GtkData::Init ()
   from /usr/lib/ooo-1.1/program/libvclplug_gtk645li.so
---Type <return> to continue, or q <return> to quit---
#14 0xf4a4ed82 in create_SalInstance ()
   from /usr/lib/ooo-1.1/program/libvclplug_gtk645li.so
#15 0xf6faed4b in vcl::SolarThreadExecutor::execute ()
   from /usr/lib/ooo-1.1/program/libvcl645li.so
#16 0xf6fafa8e in CreateSalInstance ()
   from /usr/lib/ooo-1.1/program/libvcl645li.so
#17 0xf6dfd2e8 in InitVCL () from /usr/lib/ooo-1.1/program/libvcl645li.so
#18 0xf6dfd19f in SVMain () from /usr/lib/ooo-1.1/program/libvcl645li.so
#19 0xf6fafd50 in main () from /usr/lib/ooo-1.1/program/libvcl645li.so
#20 0xf5c6ce33 in __libc_start_main () from /lib/tls/libc.so.6
#21 0x0805e0d5 in _start ()
Comment 3 Caolan McNamara 2004-12-16 12:23:06 EST
caolanm->mharris: The __driUtilCreateScreen () from
/usr/X11R6/lib/modules/dri/i915_dri.so mean anything to you ?
Comment 4 Caolan McNamara 2004-12-17 10:16:01 EST
*** Bug 140316 has been marked as a duplicate of this bug. ***
Comment 5 Caolan McNamara 2004-12-17 10:33:01 EST
Created attachment 108798 [details]
example program to run
Comment 6 Caolan McNamara 2004-12-17 10:33:38 EST
Created attachment 108799 [details]
source

compile with gcc testgl.c -o testgl -L/usr/X11R6/lib -lX11 -lGL
Comment 7 Caolan McNamara 2004-12-17 10:35:43 EST
For those that are seeing this problem with OOo, can they try the
attached testgl program as well to see if that crashes as well (i.e.
No "All OK" seen)
Comment 8 Howard Selover III 2004-12-17 11:01:28 EST
I built the example program and ran it.  It fails.  The following is
the backtrace from the failure.

Thread 1 (Thread -153876800 (LWP 5051)):
#0  0xf6fe97a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0xf6d92955 in raise () from /lib/tls/libc.so.6
#2  0xf6d94319 in abort () from /lib/tls/libc.so.6
#3  0xf6dcba1b in malloc_printerr () from /lib/tls/libc.so.6
#4  0xf6dcc4ba in free () from /lib/tls/libc.so.6
#5  0xf6cde6b7 in __driUtilCreateScreen ()
   from /usr/X11R6/lib/modules/dri/i915_dri.so
#6  0xf6cf6b05 in __driCreateScreen ()
   from /usr/X11R6/lib/modules/dri/i915_dri.so
#7  0xf6ee36a2 in __glXInitialize () from /usr/X11R6/lib/libGL.so.1
#8  0xf6edf3db in __indirect_glCompressedTexSubImage3D ()
   from /usr/X11R6/lib/libGL.so.1
#9  0xf6ee0453 in glXGetConfig () from /usr/X11R6/lib/libGL.so.1
#10 0x0804863a in main () at testgl.c:22
Comment 9 Dan Williams 2004-12-17 11:07:26 EST
krh:  any ideas?
Comment 10 Caolan McNamara 2004-12-19 10:08:00 EST
This happens outside of openoffice with the little test program so
we'll reassign it to the X people
Comment 11 Kristian Høgsberg 2004-12-20 11:39:31 EST
(changing component to xorg-x11)

Which xorg-x11 release are you using?  I can't reproduce this, I tried
xorg-x11-6.8.1-12 on an i915, stock FC3.
Comment 12 Howard Selover III 2004-12-20 11:54:06 EST
The package according to RPM is xorg-x11-6.8.1-12.FC3.21.
Comment 13 Sitsofe Wheeler 2005-01-04 18:01:36 EST
Howard,

Are when you run anything to do with GL (e.g.  glxinfo or glxgears) are there
any warnings in dmesg?
Comment 14 Howard Selover III 2005-01-05 11:19:33 EST
Some update over the holidays has changed the behaviour of the system.  I can no
longer run OpenOffice, glxgears, or glxinfo.  I allowed the system to dump the
core file for glxgears.  Enclosed is the backtrace from glxgears.

I do not get any messages in dmesg other than the initialization message.

     [drm] Initialized i915 1.1.0 20040405 on minor 0:
     [drm] Initialized i915 1.1.0 20040405 on minor 1:
     mtrr: base(0xe0000000) is not aligned on a size(0x180000) boundary

#0  0xb7d86ae5 in free () from /lib/tls/libc.so.6
#1  0xb7cb86b7 in __driUtilCreateScreen ()
   from /usr/X11R6/lib/modules/dri/i915_dri.so
#2  0xb7cd0b05 in __driCreateScreen ()
   from /usr/X11R6/lib/modules/dri/i915_dri.so
#3  0xb7faa6a2 in __glXInitialize () from /usr/X11R6/lib/libGL.so.1
#4  0xb7fa63db in __indirect_glCompressedTexSubImage3D ()
   from /usr/X11R6/lib/libGL.so.1
#5  0xb7fa7a95 in glXChooseVisual () from /usr/X11R6/lib/libGL.so.1
#6  0x0804a060 in ?? ()
#7  0x0804c008 in ?? ()
#8  0x00000000 in ?? ()
Comment 15 Howard Selover III 2005-01-05 13:17:56 EST
I shut DRI off at this time.  This allows me to use OpenOffice.  This also
allows the glxgears and glxinfo to properly function.

My system has been upgraded from Red Hat 8, 9, Fedora Core 1, 2, and 3.  Is it
possible something in the configuration did not upgrade properly?  Would you
want me to reconfigure the X system?  If so, what is the utility I should use?
Comment 16 Mike A. Harris 2005-02-05 15:41:33 EST
Please try updating to the xorg-x11-6.8.1.904 (6.8.2rc4) available
in rawhide, which contains many updates to the drivers, X server,
client libraries, etc.

We will be releasing 6.8.2 as an update to FC3 when it is released,
so it will be good information to know if this is resolved in
the new release candidate.

Please update the report with status once you've tested the new
xorg builds.  Thanks in advance.
Comment 17 Mike A. Harris 2005-02-05 15:43:21 EST
Setting status to "NEEDINFO", awaiting results of testing with
xorg-x11 from rawhide.
Comment 18 Howard Selover III 2005-02-09 08:57:23 EST
I updated my system with xorg-x11-6.8.1.904.  I turned DRI back on. 
OpenOffice, glxgears, and glxinfo work perfectly.  Thank you for the
correction.
Comment 19 Mike A. Harris 2005-03-18 06:10:37 EST
Ok, thanks for the feedback.  Fedora Core 3 xorg-x11 update is in fc3-testing
currently, and will be released as official update in the next few business
days or so.

Setting status to "ERRATA"

Note You need to log in before you can comment on or make changes to this bug.